Nous utilisons des cookies pour vous garantir la meilleure expérience sur notre site. Si vous continuez à utiliser ce dernier, nous considèrerons que vous acceptez l'utilisation des cookies. J'ai compris ! ou En savoir plus !.
Nom d'utilisateur    Mot de passe              Toujours pas inscrit ?   Mot de passe oublié ?

#1 Wed 27 September 2006 14:41

CARTO30
Membre
Lieu: boisbriand
Date d'inscription: 25 Aug 2006
Messages: 4

[Tutorial] Aplatir un dessin

Bonjour

Je veux mettre à 0 l'élévation de mon dessin. Présentement mon dessin contient des polylignes 2d, des lignes... avec élévation.  Existe-il une routine lsp ou encore une commande dans autocad pour réaliser un dessin 2d avec l'élévation à 0 ?

Merci,
Daniel

Hors ligne

 

#2 Wed 27 September 2006 15:16

Robin
GeoRezo forever
Lieu: France
Date d'inscription: 31 Aug 2005
Messages: 13652
Site web

Re: [Tutorial] Aplatir un dessin

[Vu sur CADXP]

C'est par ici pour le lisp : http://perso.wanadoo.fr/rebcao/CADxp/Z0-2000x.LSP

Et par là pour le bouton :

Code:

_move;_all;;0,0,0;0,0,1e99;_move;_p;;0,0,0;0,0,-1e99;

Et si tu as les outils Express, la commande : FLATTEN

Et voilu,
Robin.

Hors ligne

 

#3 Wed 27 September 2006 15:31

Patrice
JeSuisCharlie
Date d'inscription: 16 Sep 2005
Messages: 4262

Re: [Tutorial] Aplatir un dessin

Hello Maître Robin

Excellente réponse qui va en effet mettre à plat tous les objets 2D d'AutoCAD !

Cependant si il y a de vrais Objets 3D (Volumiques par exemple), ils ne seront pas A PLAT !
Mais en principe vous n'avez jamais dans votre DWG des objets 3D volumiques.

GeoBye, Pat

PS: Un autre Lisp du meme genre et equivalent a la Macro ...
Commande au clavier : SMASH

Code:

 

(defun C:SMASH ( )
  (command "_.move" "_all" "" '(0 0 1e99) ""
  "_.move" "_p" "" '(0 0 -1e99) "")
  (princ)
)

(Autodesk Expert Elite Team)

En ligne

 

Pied de page des forums

Powered by FluxBB

Partagez  |